Bug 12731 - rpcclient doesn't handle -U'OTHERDOMAIN\user' anymore.
rpcclient doesn't handle -U'OTHERDOMAIN\user' anymore.
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Tools
4.6.2
All All
: P5 regression
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 12709
  Show dependency treegraph
 
Reported: 2017-04-04 14:04 UTC by Stefan Metzmacher
Modified: 2017-04-21 06:58 UTC (History)
2 users (show)

See Also:


Attachments
Patch for v4-6-test (3.00 KB, patch)
2017-04-05 13:48 UTC, Stefan Metzmacher
asn: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-04-04 14:04:15 UTC
In 4.6.0 the handling of '\' in the -U is done at the command line
parsing. This means that get_cmdline_auth_info_username() never
returns a string with '\' and the domain part is always
overwritten by set_cmdline_auth_info_domain(lp_workgroup()).
Comment 1 Stefan Metzmacher 2017-04-05 13:48:58 UTC
Created attachment 13132 [details]
Patch for v4-6-test
Comment 2 Andreas Schneider 2017-04-05 14:10:55 UTC
Karolin, please add to Samba 4.6. Thanks!
Comment 3 Karolin Seeger 2017-04-19 09:30:39 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-6-test.
Comment 4 Karolin Seeger 2017-04-21 06:58:46 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-6-test.
Closing out bug report.

Thanks!